## cosign 2.2.0

=== debian/changelog ===
cosign (2.2.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:36:05 +0200

cosign (2.2.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.2.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 01 Sep 2023 10:42:44 +0200

cosign (2.1.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.1.1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Jun 2023 12:03:55 +0200

cosign (2.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.1.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 Jun 2023 15:14:20 +0200

cosign (2.0.2-0kali2) kali-dev; urgency=medium

  * Add missing build-dep ca-certificates

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 03 May 2023 10:54:21 +0200

cosign (2.0.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 27 Apr 2023 17:31:52 +0200
