=== debian/control ===
Source: cosign
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
		       ca-certificates,
               golang-github-go-openapi-runtime-dev,
               golang-github-go-openapi-strfmt-dev,
               golang-github-go-openapi-swag-dev,
               golang-github-google-go-cmp-dev,
               golang-github-google-go-github-dev,
               golang-github-kelseyhightower-envconfig-dev,
               golang-github-pkg-errors-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev,
               golang-github-xanzy-go-gitlab-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-term-dev,
               golang-google-api-dev,
               golang-k8s-utils-dev
Standards-Version: 4.6.2
Homepage: https://github.com/sigstore/cosign
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/sigstore/cosign

Package: cosign
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Container Signing using Sigstore (program)
 This package contains a tool to sign OCI containers (and other artifacts)
 using Sigstore (https://sigstore.dev/)!
 .
 Cosign aims to make signatures **invisible infrastructure**.
 .
 Cosign supports:
 .
  * "Keyless signing" with the Sigstore public good Fulcio certificate
    authority and Rekor transparency log (default)
  * Hardware and KMS signing
  * Signing with a cosign generated encrypted private/public keypair
  * Container Signing, Verification and Storage in an OCI registry.
  * Bring-your-own PKI
