=== debian/tests/control ===
Test-Command: cosign -h
Restrictions: allow-stderr, superficial
