## cosign 2.4.1

=== debian/changelog ===
cosign (2.4.1-2) unstable; urgency=medium

  * Upload to unstable.
  * d/salsa-ci.yml: Drop local apt repos.
  * Add manpage.
  * Use dh-sequence-golang.
  * d/salsa-ci.yml: Tighten Salsa autopkgtest checks.
  * Override lintian error for cosign's Built-Using.
  * Bump d/* copyright years.
  * DEP3ify patches.
  * Clean test wasm file.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 20 Jan 2025 00:53:18 +0100

cosign (2.4.1-1) experimental; urgency=medium

  * Initial release (Closes: #1061446)

 -- Simon Josefsson <simon@josefsson.org>  Sun, 01 Dec 2024 13:53:40 +0100
