=== debian/control ===
Source: cosign
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-awslabs-amazon-ecr-credential-helper-dev,
 golang-github-cockroachdb-apd-dev,
 golang-github-cue-labs-oci-dev,
 golang-github-cue-lang-cue-dev,
 golang-github-emicklei-proto-dev,
 golang-github-go-openapi-runtime-dev,
 golang-github-go-openapi-strfmt-dev,
 golang-github-go-openapi-swag-dev,
 golang-github-google-go-cmp-dev,
 golang-github-google-go-containerregistry-dev,
 golang-github-google-go-github-dev,
 golang-github-in-toto-in-toto-golang-dev,
 golang-github-kelseyhightower-envconfig-dev,
 golang-github-mitchellh-go-wordwrap-dev,
 golang-github-moby-term-dev,
 golang-github-nozzle-throttler-dev,
 golang-github-pkg-errors-dev,
 golang-github-protocolbuffers-txtpbfmt-dev,
 golang-github-secure-systems-lab-go-securesystemslib-dev,
 golang-github-sigstore-fulcio-dev,
 golang-github-sigstore-rekor-dev,
 golang-github-sigstore-sigstore-dev (>> 1.8.10-3~exp0~),
 golang-github-sigstore-sigstore-go-dev,
 golang-github-sigstore-timestamp-authority-dev,
 golang-github-smallstep-crypto-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-spf13-viper-dev,
 golang-github-spiffe-go-spiffe-dev,
 golang-github-stretchr-testify-dev,
 golang-github-transparency-dev-merkle-dev,
 golang-github-withfig-autocomplete-tools-dev,
 golang-github-xanzy-go-gitlab-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-oauth2-google-dev,
 golang-golang-x-sync-dev,
 golang-golang-x-term-dev,
 golang-google-api-dev,
 golang-gopkg-square-go-jose.v2-dev,
 golang-k8s-api-dev,
 golang-k8s-apimachinery-dev,
 golang-k8s-client-go-dev,
 golang-k8s-sigs-release-utils-dev,
 golang-k8s-utils-dev,
 help2man <!nodoc>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/cosign
Vcs-Git: https://salsa.debian.org/go-team/packages/cosign.git
Homepage: https://github.com/sigstore/cosign
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/sigstore/cosign

Package: cosign
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Code signing/transparency for containers and binaries (program)
 Signing OCI containers (and other artifacts) using Sigstore
 .
 Cosign supports:
 .
  * "Keyless signing" with the Sigstore public good Fulcio certificate
    authority and Rekor transparency log (default)
  * Hardware and KMS signing
  * Signing with a cosign generated encrypted private/public keypair
  * Container Signing, Verification and Storage in an OCI registry.
  * Bring-your-own PKI
 .
 This package contains the command-line tool cosign.

Package: golang-github-sigstore-cosign-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-awslabs-amazon-ecr-credential-helper-dev,
 golang-github-go-openapi-runtime-dev,
 golang-github-go-openapi-strfmt-dev,
 golang-github-go-openapi-swag-dev,
 golang-github-google-go-cmp-dev,
 golang-github-google-go-containerregistry-dev,
 golang-github-google-go-github-dev,
 golang-github-in-toto-in-toto-golang-dev,
 golang-github-kelseyhightower-envconfig-dev,
 golang-github-mitchellh-go-wordwrap-dev,
 golang-github-moby-term-dev,
 golang-github-nozzle-throttler-dev,
 golang-github-pkg-errors-dev,
 golang-github-secure-systems-lab-go-securesystemslib-dev,
 golang-github-sigstore-fulcio-dev,
 golang-github-sigstore-rekor-dev,
 golang-github-sigstore-sigstore-dev (>> 1.8.10-3~exp0~),
 golang-github-sigstore-sigstore-go-dev,
 golang-github-sigstore-timestamp-authority-dev,
 golang-github-smallstep-crypto-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-spf13-viper-dev,
 golang-github-spiffe-go-spiffe-dev,
 golang-github-stretchr-testify-dev,
 golang-github-transparency-dev-merkle-dev,
 golang-github-withfig-autocomplete-tools-dev,
 golang-github-xanzy-go-gitlab-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-oauth2-google-dev,
 golang-golang-x-sync-dev,
 golang-golang-x-term-dev,
 golang-google-api-dev,
 golang-gopkg-square-go-jose.v2-dev,
 golang-k8s-api-dev,
 golang-k8s-apimachinery-dev,
 golang-k8s-client-go-dev,
 golang-k8s-sigs-release-utils-dev,
 golang-k8s-utils-dev,
 ${misc:Depends},
Description: Code signing/transparency for containers and binaries (library)
 Signing OCI containers (and other artifacts) using Sigstore
 .
 Cosign supports:
 .
  * "Keyless signing" with the Sigstore public good Fulcio certificate
    authority and Rekor transparency log (default)
  * Hardware and KMS signing
  * Signing with a cosign generated encrypted private/public keypair
  * Container Signing, Verification and Storage in an OCI registry.
  * Bring-your-own PKI
 .
 This package contains the Go source code.
