=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk # DEB_VERSION

export DH_GOLANG_BUILDPKG="github.com/sigstore/cosign/cmd/cosign"

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_build:
	rm -rf _build/src/github.com/sigstore/cosign/pkg/cosign/rego

execute_after_dh_auto_install:
	rm -fv $(CURDIR)/debian/tmp/usr/share/gocode/src/github.com/sigstore/cosign/test/testdata/test.wasm

execute_before_dh_installman:
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	mkdir -pv $(CURDIR)/debian/tmp/usr/share/man/man1
	help2man --version-string="$(DEB_VERSION)" \
		--no-info --no-discard-stderr \
		--name="Container Signing/Verification/Storage tool" \
		--output $(CURDIR)/debian/tmp/usr/share/man/man1/cosign.1 \
		$(CURDIR)/debian/tmp/usr/bin/cosign
endif
