## cosign 2.4.3

=== debian/changelog ===
cosign (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3
  * Refresh disable-credhelper.patch.
  * salsa-ci: Rebuild reverse dependencies.
  * Need sigstore-go >= 0.7.0.
  * Use xanzy gitlab for now.
  * Fix cosign lintian override for Built-Using.
  * Improve man page building.
  * Standards-Version: 4.7.2.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 17 Mar 2025 00:04:29 +0100
