=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  golang-github-sigstore-fulcio-dev,
  golang-github-sigstore-rekor-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-3~exp0~),
- golang-github-sigstore-sigstore-go-dev,
+ golang-github-sigstore-sigstore-go-dev (>> 0.7.0~),
  golang-github-sigstore-timestamp-authority-dev,
  golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,
@@ -54,7 +54,7 @@
  golang-k8s-sigs-release-utils-dev,
  golang-k8s-utils-dev,
  help2man <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/cosign
 Vcs-Git: https://salsa.debian.org/go-team/packages/cosign.git
 Homepage: https://github.com/sigstore/cosign
@@ -103,7 +103,7 @@
  golang-github-sigstore-fulcio-dev,
  golang-github-sigstore-rekor-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-3~exp0~),
- golang-github-sigstore-sigstore-go-dev,
+ golang-github-sigstore-sigstore-go-dev (>> 0.7.0~),
  golang-github-sigstore-timestamp-authority-dev,
  golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,
