=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,15 @@
 execute_after_dh_auto_install:
 	rm -fv $(CURDIR)/debian/tmp/usr/share/gocode/src/github.com/sigstore/cosign/test/testdata/test.wasm
 
-execute_before_dh_installman:
+B = $(CURDIR)/debian/tmp/usr/bin
+M = $(CURDIR)/debian/tmp/usr/share/man/man1
+
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
-	mkdir -pv $(CURDIR)/debian/tmp/usr/share/man/man1
+execute_before_dh_installman-arch:
+	mkdir -pv $(M)
 	help2man --version-string="$(DEB_VERSION)" \
 		--no-info --no-discard-stderr \
 		--name="Container Signing/Verification/Storage tool" \
-		--output $(CURDIR)/debian/tmp/usr/share/man/man1/cosign.1 \
-		$(CURDIR)/debian/tmp/usr/bin/cosign
+		--output $(M)/cosign.1 \
+		$(B)/cosign
 endif
