## cosign 2.5.0

=== debian/changelog ===
cosign (2.5.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 12 Apr 2025 08:48:04 +0200

cosign (2.5.0-1) experimental; urgency=medium

  * New upstream version 2.5.0
  * Use wildcard for lintian field-too-long.
  * d/salsa-ci: Fail on lintian warnings.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 10 Apr 2025 11:20:13 +0200

cosign (2.4.3-2) unstable; urgency=medium

  * Migrate to golang-gitlab-gitlab-org-api-client-go-dev
    from golang-github-xanzy-go-gitlab-dev.
  * cosign: Add Static-Built-Using.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 09 Apr 2025 17:35:23 +0200
