=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
  golang-github-stretchr-testify-dev,
  golang-github-transparency-dev-merkle-dev,
  golang-github-withfig-autocomplete-tools-dev,
- golang-github-xanzy-go-gitlab-dev,
+ golang-gitlab-gitlab-org-api-client-go-dev,
  golang-golang-x-crypto-dev,
  golang-golang-x-oauth2-google-dev,
  golang-golang-x-sync-dev,
@@ -68,6 +68,8 @@
  ${shlibs:Depends},
 Built-Using:
  ${misc:Built-Using},
+Static-Built-Using:
+ ${misc:Static-Built-Using},
 Description: Code signing/transparency for containers and binaries (program)
  Signing OCI containers (and other artifacts) using Sigstore
  .
@@ -113,7 +115,7 @@
  golang-github-stretchr-testify-dev,
  golang-github-transparency-dev-merkle-dev,
  golang-github-withfig-autocomplete-tools-dev,
- golang-github-xanzy-go-gitlab-dev,
+ golang-gitlab-gitlab-org-api-client-go-dev,
  golang-golang-x-crypto-dev,
  golang-golang-x-oauth2-google-dev,
  golang-golang-x-sync-dev,
