## cosign 2.6.2

=== debian/changelog ===
cosign (2.6.2-1~exp0) experimental; urgency=medium

  * New upstream version
    - Fixes CVE-2026-22703 (Closes: #1126764)
  * Use watch v5 tracking git and pinning at v2
  * Use gbp upstream-vcs-tag
  * Refresh patches
  * Add new build deps
  * Bump sigstore-go to >=1.1.4
  * Drop Priority: optional
  * Drop Rules-Requires-Root: no
  * Standards-Version: 4.7.3
  * Modernize Salsa CI
  * Drop lintian field-too-long for Static-Built-Using
  * Bump copyright years
  * Breaks gitsign<=0.13.0-3

 -- Simon Josefsson <simon@josefsson.org>  Wed, 18 Feb 2026 11:21:05 +0100
