=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
  Simon Josefsson <simon@josefsson.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -20,6 +19,7 @@
  golang-github-google-go-cmp-dev,
  golang-github-google-go-containerregistry-dev,
  golang-github-google-go-github-dev,
+ golang-github-in-toto-attestation-dev,
  golang-github-in-toto-in-toto-golang-dev,
  golang-github-kelseyhightower-envconfig-dev,
  golang-github-mitchellh-go-wordwrap-dev,
@@ -30,8 +30,9 @@
  golang-github-secure-systems-lab-go-securesystemslib-dev,
  golang-github-sigstore-fulcio-dev,
  golang-github-sigstore-rekor-dev,
+ golang-github-sigstore-rekor-tiles-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-3~exp0~),
- golang-github-sigstore-sigstore-go-dev (>> 0.7.0~),
+ golang-github-sigstore-sigstore-go-dev (>> 1.1.4~),
  golang-github-sigstore-timestamp-authority-dev,
  golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,
@@ -54,11 +55,10 @@
  golang-k8s-sigs-release-utils-dev,
  golang-k8s-utils-dev,
  help2man <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/cosign
 Vcs-Git: https://salsa.debian.org/go-team/packages/cosign.git
 Homepage: https://github.com/sigstore/cosign
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/sigstore/cosign
 
 Package: cosign
@@ -87,6 +87,8 @@
 Package: golang-github-sigstore-cosign-dev
 Architecture: all
 Multi-Arch: foreign
+Breaks:
+ golang-github-sigstore-gitsign-dev (<= 0.13.0-3)
 Depends:
  golang-github-awslabs-amazon-ecr-credential-helper-dev,
  golang-github-go-openapi-runtime-dev,
@@ -95,6 +97,7 @@
  golang-github-google-go-cmp-dev,
  golang-github-google-go-containerregistry-dev,
  golang-github-google-go-github-dev,
+ golang-github-in-toto-attestation-dev,
  golang-github-in-toto-in-toto-golang-dev,
  golang-github-kelseyhightower-envconfig-dev,
  golang-github-mitchellh-go-wordwrap-dev,
@@ -104,8 +107,9 @@
  golang-github-secure-systems-lab-go-securesystemslib-dev,
  golang-github-sigstore-fulcio-dev,
  golang-github-sigstore-rekor-dev,
+ golang-github-sigstore-rekor-tiles-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-3~exp0~),
- golang-github-sigstore-sigstore-go-dev (>> 0.7.0~),
+ golang-github-sigstore-sigstore-go-dev (>> 1.1.4~),
  golang-github-sigstore-timestamp-authority-dev,
  golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,
