=== debian/watch ===
Version: 5
Source: https://github.com/sigstore/cosign.git
Matching-Pattern: refs/tags/v(2.*)
Git-Mode: full
Mode: git
